solscan logo
Register NowRegister Now

account transactions enhanced

New
get

https://pro-api.solscan.io/v2.0/account/transactions/enhanced

This api is the upgraded version of /account/transactions. It returns raw Solana transaction objects (same structure as getTransaction RPC) with full server-side filtering by time, slot, signature range, signer, token, program, and instruction discriminator

QUERY PARAMS

address

string

required

A wallet address on solana blockchain

cursor

string

The cursor for pagination, which can be obtained from the response of previous page

from_time

number

Filter transactions that happen after a specific time

to_time

number

Filter transactions that happen before a specific time

from_signature

string

Filter transactions that happen after a specific signature

to_signature

string

Filter transactions that happen before a specific signature

limit

number

The number of transactions should be returned

from_slot

number

Filter transactions that happen after a specific slot

to_slot

number

Filter transactions that happen before a specific slot

status

boolean

Filter transactions by their status. value true: successful transactions, false: failed transactions.

program

array

Filter transactions by interacted programs

Maximum allowed values: 5

instruction

array

Filter transactions by interacted instruction. The value should be the program address and instruction discriminator, which is the first 2 or 8 bytes of instruction data in hex format (Depend on program IDL Standard, first 2 bytes for Shank, 8 bytes for Anchor). Example: ?instruction[]=pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA66063d1201daebea (program address: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA, instruction discriminator: 6063d1201daebea)

Maximum allowed values: 5

token

array

Filter transactions by interacted token

Maximum allowed values: 5

signer

array

Filter transactions by signer

Maximum allowed values: 5

token_account

boolean

Show transactions that interacted with associated token accounts

encoding

string

Format for transaction data

RESPONSES

200

OK

Response Body

400

Bad Request

Response Body

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples